Bug 62045 - apmd breaks hotplug
Summary: apmd breaks hotplug
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apmd   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: wdovlrrw
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-26 22:26 UTC by Bill Nottingham
Modified: 2014-03-17 02:26 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-27 16:50:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Nottingham 2002-03-26 22:26:06 UTC
If apmd is set to restart the network, it runs 'service network stop' on
suspend. However, on restart, it brings up the interfaces individually, instead
of running 'service network start'. This means /var/lock/subsys/network isn't
there, which
(among other things) breaks hotplug, as it won't bring up interfaces if the
network doesn't appear to be started.

Comment 1 Bernhard Rosenkraenzer 2002-03-27 13:34:04 UTC
Running service network start on resume brings up interfaces that were manually brought 
down before, which was reported before I changed the script to check for available 
interfaces on suspend and restoring those. 
 
Should I simply touch /var/lock/subsys/network/ on resume if any interfaces are brought 
up?

Comment 2 Bill Nottingham 2002-03-27 16:49:59 UTC
I would guess that we should touch /var/lock/subsys/network on resume if we
removed it on suspend.

Comment 3 Bernhard Rosenkraenzer 2002-04-03 17:51:31 UTC
Done in 3.0.2-8


Note You need to log in before you can comment on or make changes to this bug.